X11.Xext (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, interface: Xext

Package com.sun.jna.platform.unix

# Interface X11.Xext

All Superinterfaces:
  `Library`

Enclosing interface:
  X11

public static interface X11.Xext extends Library
Definition (incomplete) of the Xext library.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final X11.Xext`
  `INSTANCE`
  `static final int`
  `ShapeBounding`
  `static final int`
  `ShapeClip`
  `static final int`
  `ShapeInput`
  `static final int`
  `ShapeIntersect`
  `static final int`
  `ShapeInvert`
  `static final int`
  `ShapeSet`
  `static final int`
  `ShapeSubtract`
  `static final int`
  `ShapeUnion`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `XShapeCombineMask(X11.Display display, X11.Window window, int dest_kind, int x_off, int y_off, X11.Pixmap src, int op)`

- ## Field Details

  - ### INSTANCE

    static final X11.Xext INSTANCE

  - ### ShapeBounding

    static final int ShapeBounding
    See Also:
      - Constant Field Values

  - ### ShapeClip

    static final int ShapeClip
    See Also:
      - Constant Field Values

  - ### ShapeInput

    static final int ShapeInput
    See Also:
      - Constant Field Values

  - ### ShapeSet

    static final int ShapeSet
    See Also:
      - Constant Field Values

  - ### ShapeUnion

    static final int ShapeUnion
    See Also:
      - Constant Field Values

  - ### ShapeIntersect

    static final int ShapeIntersect
    See Also:
      - Constant Field Values

  - ### ShapeSubtract

    static final int ShapeSubtract
    See Also:
      - Constant Field Values

  - ### ShapeInvert

    static final int ShapeInvert
    See Also:
      - Constant Field Values

- ## Method Details

  - ### XShapeCombineMask

    void XShapeCombineMask(X11.Display display, X11.Window window, int dest_kind, int x_off, int y_off, X11.Pixmap src, int op)